package sbc.mgclus.parser;

import java.io.*;
import java.util.HashSet;

public class SeedTSVParser {

	public HashSet<String> parseSeeds(File seedFile) {
		HashSet<String> seedList = new HashSet<String>();
		try {
			FileReader fileReader = new FileReader(seedFile);
			BufferedReader reader = new BufferedReader(fileReader);
			System.out.println(String.format("\nstart reading seed file: %s...", seedFile.getName()));
			String line = null;
			
			while ((line = reader.readLine()) != null){
				String[] lineList = line.split("\\s");
				if (lineList.length >= 1){
					String seed = lineList[0];
					seedList.add(seed);
				}
			}
			System.out.println(String.format("\nfinish reading seed file..."));
			reader.close();
			
		}catch (FileNotFoundException ex){
			System.err.println("Seed file does not exists\n");
			ex.printStackTrace();
			System.exit(1);
		}
		catch (Exception ex) {
			System.err.println("Error parsing seed file\n");
			ex.printStackTrace();
			System.exit(1);
		}
		return seedList;
	}
	
}
